## org.apache.tools.ant.launch
Class LaunchException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.tools.ant.launch.LaunchException

All Implemented Interfaces:
  java.io.Serializable

public class LaunchException
extends java.lang.Exception

Signals an error condition during launching

Since:
  Ant 1.6
Author:
  Conro MacNeill
See Also:
  Serialized Form

Constructor Summary
`LaunchException(java.lang.String message)` Constructs an exception with the given descriptive message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LaunchException

    public LaunchException(java.lang.String message)

  Constructs an exception with the given descriptive message.

Parameters:
  `message` - A description of or information about the exception. Should not be `null`.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.